import request from '@/utils/request'

export function getPoints() {
  return request({
    url: 'api/point/getPointList',
    method: 'post'
  })
}
export function add(data) {
  return request({
    url: 'api/point',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/point/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/point',
    method: 'put',
    data
  })
}

export function updatePointOk(data) {
  return request({
    url: 'api/point/updatePoint',
    method: 'put',
    data
  })
}

export function queryPointList(params) {
  return request({
    url: 'api/point/queryPointList',
    method: 'get',
    params
  })
}

export function fullStockIn(data) {
  return request({
    url: 'api/appScene/fullStockIn',
    method: 'post',
    data
  })
}

export function pointCallStock(data) {
  return request({
    url: 'api/appScene/pointCallStock',
    method: 'post',
    data
  })
}

export function pointStockBack(data) {
  return request({
    url: 'api/appScene/pointStockBack',
    method: 'post',
    data
  })
}
export function fullStockOut(data) {
  return request({
    url: 'api/appScene/fullStockOut',
    method: 'post',
    data
  })
}

export function multiAdjust(data) {
  return request({
    url: 'api/point/multiAdjust',
    method: 'post',
    data
  })
}

export default { add, edit, del,getPoints,queryPointList ,fullStockIn,pointCallStock,fullStockOut,pointStockBack,multiAdjust}
